Name:          sdl2_net
Version:       2.2.0
Release:       1mamba
Summary:       SDL2 network library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.libsdl.org/projects/SDL_net/
Source:        https://www.libsdl.org/projects/SDL_net/release/SDL2_net-%{version}.tar.gz
License:       zlib/libpng
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
## AUTOBUILDREQ-END

%description
SDL2 network library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       SDL2 network library.

%description -n lib%{name}
SDL2 network library.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n SDL2_net-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libSDL2_net-2.0.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/SDL2/SDL_net.h
%{_libdir}/libSDL2_net.a
%{_libdir}/libSDL2_net.la
%{_libdir}/libSDL2_net.so
%{_libdir}/pkgconfig/SDL2_net.pc
%dir %{_libdir}/cmake/SDL2_net
%{_libdir}/cmake/SDL2_net/sdl2_net-config*.cmake
%doc README.txt


%changelog
* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Mar 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- package created using the webbuild interface
